GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List cited domains GETList cited URLs GETGet citation positions GETList citations GETGet citation type trends GETGet cited page trends GETGet cited URL GET
Citations

Get citation type trends GET

Daily citation rate by content type and share by source type.

Get cited URL GET

One cited URL with its daily rate, position and prompts.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Citations

Get cited page trends

GET
/brands/{brandId}/citations/trends/pages

Cited pages with daily rate, first cited, ramp up, peak and decay.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
tags?string

Comma-separated prompt tag ids

Lengthlength <= 2000
competitors?string

Comma-separated competitor ids; responses mentioning any

Lengthlength <= 2000
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$
q?string

Matches the URL or title

Lengthlength <= 200
own?string

true: only the brand's own domain

Value in"true""false"
sourceTypes?string

Comma-separated: news, blog, corporate, directory, academic, government, wiki, forum, social, video, other

Lengthlength <= 300
contentTypes?string

Comma-separated: product, landing, docs, article, news, opinion, listicle, how_to, review, comparison, discussion, video, other

Lengthlength <= 300
domains?string

Comma-separated domains

Lengthlength <= 2000
domainMode?string
Default"include"
Value in"include""exclude"
sort?string
Default"peak"
Value in"first""peak""decay"
order?string
Default"desc"
Value in"asc""desc"
page?integer
Range1 <= value
Default1
pageSize?integer
Range1 <= value <= 100
Default25

Response Body

One page of trend rows

application/json
  1. response
  1. response
  2. …
days*array<string>
items*array<>
total*integer
page*integer
pageSize*integer
brands*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/trends/pages'
Example Response
{  "days": [    "string"  ],  "items": [    {      "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",      "url": "string",      "title": "string",      "domain": "string",      "sourceType": "string",      "contentType": "string",      "owner": "brand",      "brandKey": "string",      "engines": [        "string"      ],      "citations": 0,      "share": 0,      "average": 0,      "best": 0,      "worst": 0,      "rates": [        0      ],      "firstCited": "string",      "rampUpDays": 0,      "peak": 0,      "decay": 0    }  ],  "total": 0,  "page": 0,  "pageSize": 0,  "brands": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

Get citation type trends GET

Daily citation rate by content type and share by source type.

Get cited URL GET

One cited URL with its daily rate, position and prompts.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/trends/pages'
{
  "days": [
    "string"
  ],
  "items": [
    {
      "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",
      "url": "string",
      "title": "string",
      "domain": "string",
      "sourceType": "string",
      "contentType": "string",
      "owner": "brand",
      "brandKey": "string",
      "engines": [
        "string"
      ],
      "citations": 0,
      "share": 0,
      "average": 0,
      "best": 0,
      "worst": 0,
      "rates": [
        0
      ],
      "firstCited": "string",
      "rampUpDays": 0,
      "peak": 0,
      "decay": 0
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0,
  "brands": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}